package services

import (
	"project_management/app/e"
	"project_management/app/model"
)

type ApplyCap interface {
	ApplyAddCap(applycap model.ApplyCapabilities) e.Rescode
	ApplyCapList(appid string) (applycap []model.ApplyCap, err error)
	UpDateApplyCap(applycap model.ApplyCap) e.Rescode
	DeleteApplyCAp(applycap model.ApplyCapabilities) e.Rescode
	UpdateApplyCapSort(updatedApplyCap model.ApplyCap) e.Rescode
}
