package services

import (
	"project_management/app/e"
	"project_management/app/model"
	"project_management/unity"
)

type Capabilities interface {
	AddCapabilities(capabilities model.Capabilities) e.Rescode
	GetCapabilitiesList(params unity.CapQueryPageParams, capabilities model.Capabilities, queryCond interface{}) (result []model.Capabilities, total int64, err error)
	AdminGetCapabilitiesList(params unity.QueryPageParams, capabilities model.Capabilities, queryCond interface{}) (result []model.CapabilitiesDto, total int64, err error)
	GetCapabilitiesById(capid string) (model.Capabilities, e.Rescode)
	UpdateCapabilities(capabilities model.Capabilities) e.Rescode
	DeleteCapabilities(capid string) e.Rescode
}
